%define upstream_name    Dist-Zilla-App-Command-podpreview
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Preview munged pod in browser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::PodPreview)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A the Dist::Zilla manpage command to preview the munged pod of a module in
a browser using the App::PodPreview manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Apr 11 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 83299
- imported package perl-Dist-Zilla-App-Command-podpreview


* Mon Apr 11 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
